#ifndef DISPLAYPROXYMAX7456_H
#define DISPLAYPROXYMAX7456_H

#include "DisplayProxy.h"
#include "max7456.h"

class DisplayProxyMAX7456 : public DisplayProxy
{
public:
    DisplayProxyMAX7456(Max7456 *osd);

    bool write(int x, int y, const char *text);
    bool clear() ;
    bool setOffset(int x, int y);
private:
    Max7456 *osd;
};

#endif